Qt 5.7 | Qt 3D | C++ Classes | QMesh

Qt 5.7.1 Reference Documentation

# QMesh Class

(Qt3DRender::QMesh)

A custom mesh. More...

Header: | #include <QMesh>
qmake: | QT += 3drender
Instantiated By: | Mesh
Inherits: | QGeometryRenderer

- List of all members, including inherited members

## Properties

- meshName : QString
- source : QUrl

- 10 properties inherited from Qt3DRender::QGeometryRenderer
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QMesh(Qt3DCore::QNode *parent = nullptr)
QString | meshName() const
QUrl | source() const

- 12 public functions inherited from Qt3DRender::QGeometryRenderer
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setMeshName(const QString &meshName)
void | setSource(const QUrl &source)

- 10 public slots inherited from Qt3DRender::QGeometryRenderer
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | meshNameChanged(const QString &meshName)
void | sourceChanged(const QUrl &source)

- 10 signals inherited from Qt3DRender::QGeometryRenderer
- 1 signal inherited from Qt3DCore::QComponent
- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QMesh(QMeshPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A custom mesh.

## Property Documentation

### meshName : QString

Holds the name of the mesh.

Access functions:

QString | meshName() const
void | setMeshName(const QString &meshName)

Notifier signal:

void | meshNameChanged(const QString &meshName)

### source : QUrl

Holds the source url to the file containing the custom mesh.

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

## Member Function Documentation

### QMesh::QMesh(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QMesh.

### `[protected]` QMesh::QMesh(QMeshPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.